package contentProvider;

import com.qoppa.spi.Session;

import software.amazon.awssdk.services.s3.S3Client;

public class SampleS3Session implements Session
{
	private S3Client mS3;
	private String mBucketName;
	
	public SampleS3Session(S3Client s3, String bucketName)
	{
		mS3 = s3;
		mBucketName = bucketName;
	}
	
	public S3Client getClient()
	{
		return mS3;
	}
	
	public String getBucketName()
	{
		return mBucketName;
	}

	@Override
	public String getSessionId() 
	{
		return mBucketName;
	}
}
